#############################################################
#
# ebtables
#
#############################################################
EBTABLES_VERSION:=v2.0.8-2
EBTABLES_SOURCE_URL:=ftp.netfilter.org/pub/ebtables
EBTABLES_SOURCE:=ebtables-$(EBTABLES_VERSION).tar.gz
EBTABLES_CAT:=$(ZCAT)
EBTABLES_BUILD_DIR:=$(BUILD_DIR)/ebtables-$(EBTABLES_VERSION)

$(DL_DIR)/$(EBTABLES_SOURCE):
	 $(WGET) -P $(DL_DIR) $(EBTABLES_SOURCE_URL)/$(EBTABLES_SOURCE) 

$(EBTABLES_BUILD_DIR)/.unpacked: $(DL_DIR)/$(EBTABLES_SOURCE)
	$(EBTABLES_CAT) $(DL_DIR)/$(EBTABLES_SOURCE) | tar -C $(BUILD_DIR) $(TAR_OPTIONS) -
	#toolchain/patch-kernel.sh $(EBTABLES_BUILD_DIR) package/ebtables \*.patch
	touch $@

$(EBTABLES_BUILD_DIR)/.configured: $(EBTABLES_BUILD_DIR)/.unpacked
	# Allow patches.  Needed for openwrt for instance.
	#toolchain/patch-kernel.sh $(EBTABLES_BUILD_DIR) package/ebtables/ ebtables\*.patch
	touch $@

$(EBTABLES_BUILD_DIR)/ebtables: $(EBTABLES_BUILD_DIR)/.configured
	$(MAKE) $(TARGET_CONFIGURE_OPTS)  -C $(EBTABLES_BUILD_DIR) \
		KERNEL_INCLUDES=$(LINUX_HEADERS_DIR) BINDIR="/usr/sbin"

$(TARGET_DIR)/usr/sbin/ebtables: $(EBTABLES_BUILD_DIR)/ebtables
	mkdir -p $(TARGET_DIR)/etc/init.d
	install -m 0644 $(EBTABLES_BUILD_DIR)/ethertypes $(TARGET_DIR)/etc/
	install -m 0755 $(EBTABLES_BUILD_DIR)/lib*.so $(TARGET_DIR)/usr/lib/
	install -m 0755 $(EBTABLES_BUILD_DIR)/extensions/*.so $(TARGET_DIR)/usr/lib/
	mkdir -p $(TARGET_DIR)/usr/sbin
	install -m 0755 $(EBTABLES_BUILD_DIR)/ebtables $(TARGET_DIR)/usr/sbin/
	install -m 0755 $(EBTABLES_BUILD_DIR)/ebtables-restore $(TARGET_DIR)/usr/sbin/
	cat $(EBTABLES_BUILD_DIR)/ebtables-save | sed 's/__EXEC_PATH__/\/usr\/sbin/g' > $(EBTABLES_BUILD_DIR)/ebtables-save_
	install -m 0755 $(EBTABLES_BUILD_DIR)/ebtables-save_ $(TARGET_DIR)/usr/sbin/ebtables-save
	cat $(EBTABLES_BUILD_DIR)/ebtables.sysv | sed 's/__EXEC_PATH__/\/usr\/sbin/g' | sed 's/__SYSCONFIG__/\/etc/g' > $(EBTABLES_BUILD_DIR)/ebtables.sysv_
	install -m 0755 $(EBTABLES_BUILD_DIR)/ebtables.sysv_ $(TARGET_DIR)/etc/init.d/ebtables
	cat $(EBTABLES_BUILD_DIR)/ebtables-config | sed 's/__SYSCONFIG__/\/etc/g' > $(EBTABLES_BUILD_DIR)/ebtables-config_
	install -m 0600 $(EBTABLES_BUILD_DIR)/ebtables-config_ $(TARGET_DIR)/etc/ebtables-config
	rm -f $(EBTABLES_BUILD_DIR)/ebtables-save_ $(EBTABLES_BUILD_DIR)/ebtables.sysv_ $(EBTABLES_BUILD_DIR)/ebtables-config_
	$(STRIP) $(TARGET_DIR)/usr/sbin/ebtables
	$(STRIP) $(TARGET_DIR)/usr/sbin/ebtables-restore
	$(STRIP) $(TARGET_DIR)/usr/lib/libebt*.so

ebtables: $(TARGET_DIR)/usr/sbin/ebtables

ebtables-source: $(DL_DIR)/$(EBTABLES_SOURCE)

ebtables-clean:
	-$(MAKE1) -C $(EBTABLES_BUILD_DIR) clean
	rm -rf $(TARGET_DIR)/usr/sbin/ebtables* $(TARGET_DIR)/usr/lib/ebtables

ebtables-dirclean:
	rm -rf $(EBTABLES_BUILD_DIR)
#############################################################
#
# Toplevel Makefile options
#
#############################################################
ifeq ($(strip $(BR2_PACKAGE_EBTABLES)),y)
TARGETS+=ebtables
endif
